Announcement

Collapse
No announcement yet.

New license required ????

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    New license required ????

    I've had BLRadar for a bunch of years. Been running a 2.0 version, and just realized there are 4.0 versions.

    Is a new license required? Do I have to repurchase?

    I tried the HS3 BLRadar license and it fails to register.

    Please advise.


    WELL, I bit the bullet and purchased the new version.............................

    #2
    A new license is required but they are 10% off right now
    Cheers,
    Bob
    Web site | Help Desk | Feature Requests | Message Board

    Comment

    Working...
    X